Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor.security
Class Security

    java.lang.Object
      com.bea.portal.appflow.processor.security.Security

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class Security
extends Object

A helper class used by internal processors to provide common security functionality.

Constructor Summary
`Security()` Deprecated.

Method Summary
`static boolean` | `autoLoginEnabled(HttpServletRequest request)` Deprecated. Return the boolean value of the servlet context parameter PORTAL_AUTO_LOGIN from the web.xml file.
`static boolean` | `autoLoginSet(HttpServletRequest request)` Deprecated. Return a boolean value indicating if we can auto login the user.
`static int` | `getAutoLoginCookieTimeout(HttpServletRequest request)` Deprecated. Get the autlogin cookie timeout from the web.xml context parameter or if one does not exist return the default value.
`static String` | `getDefaultUserGroup(HttpServletRequest request)` Deprecated. Get the default user group for self registration.
`static String` | `getDefaultUserProfileType(HttpServletRequest request)` Deprecated. Get the default user profile type for self registration.
`static int` | `getMaxPasswordLen(HttpServletRequest request)` Deprecated. Get the maximum password length from the web.xml context parameter or if one does not exist return the default value.
`static int` | `getMaxUsernameLen(HttpServletRequest request)` Deprecated. Get the maximum username length from the web.xml context parameter or if one does not exist return the default value.
`static int` | `getMinPasswordLen(HttpServletRequest request)` Deprecated. Get the minimum password length from the web.xml context parameter or if one does not exist return the default value.
`static int` | `getMinUsernameLen(HttpServletRequest request)` Deprecated. Get the minimum username length from the web.xml context parameter or if one does not exist return the default value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Security

    public Security()

  Deprecated.

Method Detail

### autoLoginSet

    public static boolean autoLoginSet(HttpServletRequest request)

  Deprecated.
  Return a boolean value indicating if we can auto login the user. We can only auto login the user if the PORTAL_AUTO_LOGIN is set to true in the web.xml file and the user has selected that he/she wishes to persist the username and password on their local machine in the form of cookies, and finally that we have not already unsuccessfully tried.

### autoLoginEnabled

    public static boolean autoLoginEnabled(HttpServletRequest request)

  Deprecated.
  Return the boolean value of the servlet context parameter PORTAL_AUTO_LOGIN from the web.xml file.

### getMinPasswordLen

    public static int getMinPasswordLen(HttpServletRequest request)

  Deprecated.
  Get the minimum password length from the web.xml context parameter or if one does not exist return the default value.

### getMaxPasswordLen

    public static int getMaxPasswordLen(HttpServletRequest request)

  Deprecated.
  Get the maximum password length from the web.xml context parameter or if one does not exist return the default value.

### getMinUsernameLen

    public static int getMinUsernameLen(HttpServletRequest request)

  Deprecated.
  Get the minimum username length from the web.xml context parameter or if one does not exist return the default value.

### getMaxUsernameLen

    public static int getMaxUsernameLen(HttpServletRequest request)

  Deprecated.
  Get the maximum username length from the web.xml context parameter or if one does not exist return the default value.

### getAutoLoginCookieTimeout

    public static int getAutoLoginCookieTimeout(HttpServletRequest request)

  Deprecated.
  Get the autlogin cookie timeout from the web.xml context parameter or if one does not exist return the default value.

### getDefaultUserGroup

    public static String getDefaultUserGroup(HttpServletRequest request)

  Deprecated.
  Get the default user group for self registration. If the in servlet context parameter `PORTAL_DEFAULT_USER_GROUP` is defined in the web.xml the user's who self register will automaticvally be assigned to thsi group. If context parameter is defined then the self registered users will only be assigned to the `everyone` group by default.

  See Also:
    `UserProcessor`

### getDefaultUserProfileType

    public static String getDefaultUserProfileType(HttpServletRequest request)

  Deprecated.
  Get the default user profile type for self registration. If the in servlet context parameter `DEFAULT_USER_PROFILE_TYPE` is defined in the web.xml the user's who self register will automatically be assigned to this profile type. If the context parameter is not defined then the self registered users will only be assigned to the `User` profile by default.

  See Also:
    `UserProcessor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved